Subject: automated build test runs without errors

From: Dominik Vogt <[email-masked]>
Date: Wed, 6 Jan 1999 08:06:28 +0100

After removing all these bugs from my script I was able                         
to run all the 30 builds without any problems.                                  
                                                                                
I'll try to rewrite it so it runs with plain sh (difficult                      
without a manpage. Any ideas how to make my globally defined                    
variables visible in shell functions?).                                         
                                                                                
And perhaps it would be a good idea to enhance it so it                         
can test any combination of only two options enabled or                         
disabled. That would be 212 builds overall. Estimating                          
about 12 minutes per build (make distclean takes quite a                        
while too) would make it one day and 18 hours to run on a                            
P133. Does anyone have a machine to run this over the weekend?                                                               
Bye

Dominik

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Jason L Tibbitts III <[email-masked]>
Date: 06 Jan 1999 09:44:50 -0600

>>>>> "DV" == Dominik Vogt <[email-masked]> writes:

DV> Does anyone have a machine to run this over the weekend?

I have some high-powered Linux (P2), Digital and SGI machines.  My Suns are
mostly slow, though.  All but the Digital machines are multiprocessing.
Amy chance of embedding a parallel make in that script somewhere?  (I
haven't yet looked at it.)

This reminds me: does anyone know anything about Tinderbox?

 - J<

---

From: Dominik Vogt <[email-masked]>
Date: Wed, 6 Jan 1999 23:25:58 +0100

> haven't yet looked at it.)

Basically the script does 'make distclean; configure; make'
for all of the requested combinations of options. I've never
done anything with an SMP machine so I don't know what is
required to get it parallel. I could fiddle with some counters
so you could start multiple scripts in different copies of the
source.

Bye

Dominik

---

From: Jason L Tibbitts III <[email-masked]>
Date: 06 Jan 1999 19:05:50 -0600

>>>>> "DV" == Dominik Vogt <[email-masked]> writes:

DV> Basically the script does 'make distclean; configure; make' for all of
DV> the requested combinations of options. I've never done anything with an
DV> SMP machine so I don't know what is required to get it parallel.

The usual method is 

MAKE='make -j3' make -j3

The setting of MAKE is required to get all of the submakes to go parallel,
too.  Replace '3' with one greater than the number of processors you have.
(The extra process soaks up the time spent in IO which can be significant
if the source is on network disk.)

 - J<

---

From: Dominik Vogt <[email-masked]>
Date: Thu, 7 Jan 1999 09:02:22 +0100

> if the source is on network disk.)

Well, then it's trivial. You won't get 'configure' and 'make distclean'
parallel this way though.

Bye

Dominik

-- 
Dominik Vogt, Hewlett-Packard GmbH, Dept. BVS
Herrenberger Str.130, 71034 Boeblingen, Germany
phone: 07031/14-4596, fax: 07031/14-3883, [email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked] (Paul D. Smith)
Date: 07 Jan 1999 15:53:19 -0500

%% Jason L Tibbitts III <[email-masked]> writes:

  jlt> I have some high-powered Linux (P2), Digital and SGI machines.
  jlt> My Suns are mostly slow, though.  All but the Digital machines
  jlt> are multiprocessing.  Amy chance of embedding a parallel make in
  jlt> that script somewhere?  (I haven't yet looked at it.)

If the script will accept command-line args and pass them to the makes
it invokes (which is a good idea), and you're using GNU make, you can
just invoke it with "-j 4" or something.

-- 
-------------------------------------------------------------------------------
 Paul D. Smith <[email-masked]>         Network Management Development
 "Please remain calm...I may be mad, but I am a professional." --Mad Scientist
-------------------------------------------------------------------------------
   These are my opinions---Nortel Networks takes no responsibility for them.
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked] (Paul D. Smith)
Date: 07 Jan 1999 15:55:18 -0500

%% Dominik Vogt <[email-masked]> writes:

  dv> Basically the script does 'make distclean; configure; make'
  dv> for all of the requested combinations of options. I've never
  dv> done anything with an SMP machine so I don't know what is
  dv> required to get it parallel. I could fiddle with some counters
  dv> so you could start multiple scripts in different copies of the
  dv> source.

That's another option: if you use the remote configure stuff you can
build them in separate directories, in parallel (as opposed to, or in
addition to, giving make a parallel build option).

This require GNU make but is a good thing to test, anyway.

---

From: Dominik Vogt <[email-masked]>
Date: Fri, 8 Jan 1999 02:00:09 +0100

> This require GNU make but is a good thing to test, anyway.

You can pass make options on the command line now. The first
option not understood by the script itself marks the beginning
of the make options.

Bye

Dominik